algorithmic modeling for Rhino
Hi, take a look at the attached image if you find the time.
I would like to calculate the point3d (the red dot) where 3 planes intersect with vb.
The things I know are the center points of the planes (blue dots) and the normalvector at those points (orange lines).
I was wondering if there are functions in vbscript that make this calculation easier.
By the way, the locations of the center points of the planes are irregular and do not have the same distance between them.
Thanks for any help!
Fernando
Tags:
I'll assume you mean VB.NET, not VBScript, as VBScript cannot be used inside Grasshopper.
There's a Shared method inside the Rhino.Geometry.Intersect.Intersection class called PlanePlanePlane() which finds the point where the three planes intersect:
Dim pt As Point3d
If (Rhino.Geometry.Intersect.Intersection.PlanePlanePlane(A, B, C, pt)) Then
'Planes intersect at pt, if this function returns false, the planes are either invalid or parallel
End If
You'll first need to create your A, B and C planes from original point and normal vector using the appropriate constructor.
--
David Rutten
david@mcneel.com
Poprad, Slovakia
Thank you David, that is spot on. Saves a lot of matrix equations calculations!
Yes, I meant vb.net. The component says 'vb script' (on rollover) which made me refer to that old script type (fond memories :-)...
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by